#
# spec file for package libaps (Version 2000_04_14)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  autoconf automake gpp libgpp
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gpp gppshare grep groff gzip kbd less libgpp libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         libaps
Copyright:    unknown
Group:        System Environment/Libraries
Summary:      printer spooler wrapper library
Version:      2000_04_14
Release:      162
Source0:      libaps_2000_04_14.tar.bz2
Patch0:       libaps_2000_04_14.dif

%description
This a library to wrap printer spooler, needed for KDE 2.

Authors:
--------
    Brian Pirie

SuSE series: d

%prep
%setup -n libaps
%patch0

%build
%{?suse_update_config:%{suse_update_config -f . }}
libtoolize --force
CXXFLAGS="$CXXFLAGS -DNDEBUG -O2 " ./configure \
  --prefix=/usr \
  
touch ./include/Makefile.in --reference=./configure.in
touch ./etc/Makefile.in --reference=./configure.in
touch ./cpp/Makefile.in --reference=./configure.in
touch ./Makefile.in --reference=./configure.in
touch ./src/Makefile.in --reference=./configure.in
touch ./programs/Makefile.in --reference=./configure.in
make

%install
make install

%files
%doc COPYING LICENSE AUTHORS INSTALL README NEWS 
%docdir /usr/doc
%docdir /usr/share/doc
%docdir /usr/share/man
%dir /etc/printers
%dir /usr/bin/printers
%dir /usr/include/printers
%dir /usr/lib/printers
%config /etc/printers/genericintl.ppd
%config /etc/printers/genericna.ppd
%config /etc/printers/models
%config /etc/printers/testpat.eps
/usr/bin/apsupdatedb
/usr/include/apscpp.h
/usr/include/aps.h
/usr/lib/libaps.a
/usr/lib/libapscpp.a
/usr/lib/libapscpp.la
/usr/lib/libapscpp.so
/usr/lib/libapscpp.so.0
/usr/lib/libapscpp.so.0.0.0
/usr/lib/libaps.la
/usr/lib/libaps.so
/usr/lib/libaps.so.0
/usr/lib/libaps.so.0.0.0

%changelog -n libaps
* Tue Jun 12 2001 - ro@suse.de
- libtoolize to build
* Tue Apr 10 2001 - ro@suse.de
- added group tag
* Mon Oct 16 2000 - adrian@suse.de
- fixed Makefiles in cpp
* Thu Jul 06 2000 - adrian@suse.de
- Spec file created from libaps_2000_04_14.tar.gz by autospec
